# NAME

`bpkg-pkg-install` – install package

# SYNOPSIS

`bpkg pkg-install|install [options] [vars] pkg...
bpkg pkg-install|install [options] [vars] --all|-a`

# DESCRIPTION

The `pkg-install` command installs the specified packages (the first form) or all held packages (the second form, see `bpkg-pkg-status(1)`). Additionally, immediate or all dependencies of these packages can be also installed by specifying the `--immediate|-i` or `--recursive|-r` options, respectively. Underneath, this command doesn't do much more than run `b install`. In the first form the specified packages must have been previously configured with `bpkg-pkg-build(1)` or `bpkg-pkg-configure(1)`.

Additional command line variables (`vars`, normally `config.*`) can be passed to the build system. Such variables apply to all the specified packages but can also be specified to only apply to specific packages using the argument grouping mechanism (see `bpkg-argument-grouping(1)` for details). In particular, this mechanism can be used to specify the installation directory, for example:

    bpkg install config.install.root=/usr/local \
                 config.install.sudo=sudo       \
                 libfoo libbar

Alternatively, the installation directory can be specified once when creating the configuration (`bpkg-cfg-create(1)`).

# PKG-INSTALL OPTIONS

`--all`|`-a`
  Install all held packages.
`--immediate`|`-i`
  Also install immediate dependencies.
`--recursive`|`-r`
  Also install all dependencies, recursively.
`--directory`|`-d` `dir`
  Assume configuration is in `dir` rather than in the current working directory.

# COMMON OPTIONS

The common options are summarized below with a more detailed description available in `bpkg-common-options(1)`.

`-v`
  Print essential underlying commands being executed.
`-V`
  Print all underlying commands being executed.
`--quiet`|`-q`
  Run quietly, only printing error messages.
`--verbose` `level`
  Set the diagnostics verbosity to `level` between 0 and 6.
`--jobs`|`-j` `num`
  Number of jobs to perform in parallel.
`--no-result`
  Don't print informational messages about the outcome of performing a command.
`--no-progress`
  Suppress progress indicators for long-lasting operations, such as network transfers, building, etc.
`--build` `path`
  The build program to be used to build packages.
`--build-option` `opt`
  Additional option to be passed to the build program.
`--fetch` `path`
  The fetch program to be used to download resources.
`--fetch-option` `opt`
  Additional option to be passed to the fetch program.
`--fetch-timeout` `sec`
  The fetch and fetch-like (for example, `git`) program timeout.
`--git` `path`
  The git program to be used to fetch git repositories.
`--git-option` `opt`
  Additional common option to be passed to the git program.
`--sha256` `path`
  The sha256 program to be used to calculate SHA256 sums.
`--sha256-option` `opt`
  Additional option to be passed to the sha256 program.
`--tar` `path`
  The tar program to be used to extract package archives.
`--tar-option` `opt`
  Additional option to be passed to the tar program.
`--openssl` `path`
  The openssl program to be used for crypto operations.
`--openssl-option` `opt`
  Additional option to be passed to the openssl program.
`--auth` `type`
  Types of repositories to authenticate.
`--trust` `fingerprint`
  Trust repository certificate with a SHA256 `fingerprint`.
`--trust-yes`
  Assume the answer to all authentication prompts is `yes`.
`--trust-no`
  Assume the answer to all authentication prompts is `no`.
`--pager` `path`
  The pager program to be used to show long text.
`--pager-option` `opt`
  Additional option to be passed to the pager program.
`--options-file` `file`
  Read additional options from `file`.

# BUGS

Send bug reports to the users@build2.org mailing list.